using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class updatetableplacementProfileadddnaroot2 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<Guid>(
                name: "Child1DnaId",
                table: "InsigniaRequestProfiles",
                type: "char(36)",
                nullable: true,
                collation: "ascii_general_ci");

            migrationBuilder.AddColumn<Guid>(
                name: "Child2DnaId",
                table: "InsigniaRequestProfiles",
                type: "char(36)",
                nullable: true,
                collation: "ascii_general_ci");

            migrationBuilder.AddColumn<Guid>(
                name: "Child3DnaId",
                table: "InsigniaRequestProfiles",
                type: "char(36)",
                nullable: true,
                collation: "ascii_general_ci");

            migrationBuilder.AddColumn<Guid>(
                name: "Child4DnaId",
                table: "InsigniaRequestProfiles",
                type: "char(36)",
                nullable: true,
                collation: "ascii_general_ci");

            migrationBuilder.AddColumn<Guid>(
                name: "RootDnaId",
                table: "InsigniaRequestProfiles",
                type: "char(36)",
                nullable: true,
                collation: "ascii_general_ci");

            migrationBuilder.AddColumn<Guid>(
                name: "Child1DnaId",
                table: "InsigniaNoteProfiles",
                type: "char(36)",
                nullable: true,
                collation: "ascii_general_ci");

            migrationBuilder.AddColumn<Guid>(
                name: "Child2DnaId",
                table: "InsigniaNoteProfiles",
                type: "char(36)",
                nullable: true,
                collation: "ascii_general_ci");

            migrationBuilder.AddColumn<Guid>(
                name: "Child3DnaId",
                table: "InsigniaNoteProfiles",
                type: "char(36)",
                nullable: true,
                collation: "ascii_general_ci");

            migrationBuilder.AddColumn<Guid>(
                name: "Child4DnaId",
                table: "InsigniaNoteProfiles",
                type: "char(36)",
                nullable: true,
                collation: "ascii_general_ci");

            migrationBuilder.AddColumn<Guid>(
                name: "RootDnaId",
                table: "InsigniaNoteProfiles",
                type: "char(36)",
                nullable: true,
                collation: "ascii_general_ci");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Child1DnaId",
                table: "InsigniaRequestProfiles");

            migrationBuilder.DropColumn(
                name: "Child2DnaId",
                table: "InsigniaRequestProfiles");

            migrationBuilder.DropColumn(
                name: "Child3DnaId",
                table: "InsigniaRequestProfiles");

            migrationBuilder.DropColumn(
                name: "Child4DnaId",
                table: "InsigniaRequestProfiles");

            migrationBuilder.DropColumn(
                name: "RootDnaId",
                table: "InsigniaRequestProfiles");

            migrationBuilder.DropColumn(
                name: "Child1DnaId",
                table: "InsigniaNoteProfiles");

            migrationBuilder.DropColumn(
                name: "Child2DnaId",
                table: "InsigniaNoteProfiles");

            migrationBuilder.DropColumn(
                name: "Child3DnaId",
                table: "InsigniaNoteProfiles");

            migrationBuilder.DropColumn(
                name: "Child4DnaId",
                table: "InsigniaNoteProfiles");

            migrationBuilder.DropColumn(
                name: "RootDnaId",
                table: "InsigniaNoteProfiles");
        }
    }
}
